Name:       perl-MooseX-Storage
Version:    0.21
Release:    3%{?dist}
# lib/MooseX/Storage.pm -> GPL+ or Artistic
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    A serialization framework for Moose classes
Source:     http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/MooseX-Storage-%{version}.tar.gz
Url:        http://search.cpan.org/dist/MooseX-Storage
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:  noarch

BuildRequires: perl(Digest)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::AtomicFile)
BuildRequires: perl(JSON::Any)
BuildRequires: perl(Moose) >= 0.39
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More) >= 0.42
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::TempDir) >= 0.02
BuildRequires: perl(Test::YAML::Valid)
# optional
BuildRequires: perl(Best)
# testing
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(File::NFSLock)
BuildRequires: perl(Test::YAML::Valid)
BuildRequires: perl(Test::JSON)
# testing, until RHBZ#495401 is resolved
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
# auto_install()
BuildRequires: perl(CPAN)

### auto-added reqs!
Requires:       perl(Moose) >= 0.39

%description
MooseX::Storage is a serialization framework for Moose, it provides a
very flexible and highly pluggable way to serialize Moose classes to a
number of different formats and styles. This is still an early release
of this module, so use with caution. It's outward facing serialization
API should be considered stable, but I still reserve the right to make
tweaks if I need too. Anything beyond the basic pack/unpack, freeze/thaw
and load/store should not be relied on. There are 3 levels to the
serialization, each of which builds upon the other and each of which
can be customized to the specific needs of your class.


%prep
%setup -q -n MooseX-Storage-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.21-3
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.21-2
- rebuild against perl 5.10.1

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- auto-update to 0.21 (by cpan-spec-update 0.01)
- added a new req on perl(Moose) (version 0.39)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-2
- add br on CPAN until bundled M::I is updated

* Thu Jun 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.18-1
- auto-update to 0.18 (by cpan-spec-update 0.01)

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-2
- update grammatically poor summary

* Sun Apr 12 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.17-1
- update to 0.17

* Wed Apr 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-1
- update for submission

* Mon Mar 09 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.15-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)
